package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum TechProjectStatus {
	CREATE(0, "创建"),
	SIGN(1,"签单"),
	DELIVERD(2, "派单"),
	CIRCULATION(3,"流转"),
	SUBMIT(4, "材料提交"),
	ACCEPT(5, "受理"),
	APPRVOVED(6, "审批通过"),
	REJECT(7, "审批不通过"),
	SETTLEMENT(8, "已结款"),
	CALLBACK(9, "退单"),
	OTHER(10, "其他");
	
	private Integer	code;
	private String	desc;

	private TechProjectStatus(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, TechProjectStatus> status = new HashMap<Integer, TechProjectStatus>();

	static {
		for (TechProjectStatus value : TechProjectStatus.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static TechProjectStatus getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static TechProjectStatus getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}
}
